Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.service
Interface PricingReply

All Superinterfaces
  Serializable

Deprecated

    @Deprecated
    public interface PricingReply

extends Serializable

PricingReply is used to maintain the results of a PriceService pricing operation. Not all fields are populated by all pricing operations, see the Price service documentation for details.

See Also
  `PriceService`, `PricingRequest`, `Money`

Method Summary
`Money` | `getActualShipping()` Deprecated Retrieves the actual shipping cost after discounting.
`Serializable` | `getAttribute(String name)` Deprecated Retrieves the value of a reply attribute by name.
`Money` | `getBaseShipping()` Deprecated Retrieves the base shipping cost before discounting.
`Set` | `getGlobalDiscounts()` Deprecated Returns the Set of QualificationDiscountId objects corresponding to the global discounts applied during the pricing operation.
`Line[]` | `getLines()` Deprecated Retrieves the Line items for this pricing operation.
`List` | `getOrderDiscounts()` Deprecated Retrieves a List of OrderAdjustment objects corresponding to the order discounts applied to the subtotal.
`Quote` | `getQuote()` Deprecated Returns the Quote object for the pricing operation.
`List` | `getShippingDiscounts()` Deprecated Retrieves a List of OrderAdjustment objects corresponding to shipping adjustments (base shipping and any shipping discounts).
`Money` | `getSubtotal()` Deprecated Retrieves the subtotal for the pricing request.
`Money` | `getTotal()` Deprecated Retrieves the total for the pricing request.
`Set` | `getUserDiscounts()` Deprecated Returns the Set of QualificationDiscountId objects corresponding to the user discounts applied during the pricing operation.

Method Detail

### getLines

    Line[] getLines()

  Deprecated
  Retrieves the Line items for this pricing operation. Line items that have been adjusted will have one(1) to many DiscountPresentation objects attached to the Line.

  Returns
    an array of Line items.
  See Also
    `Line`

### getAttribute

    Serializable getAttribute(String name)

  Deprecated
  Retrieves the value of a reply attribute by name. The semantics of this method are the same as the get() method in the java.util.Map interface. Attributes allow for customization of the PricingReply without changing the interface.

  Parameters
    `name` - the name of a reply attribute to get the value for.
  Returns
    the value for the named reply attribute.
  See Also
    `Map`

### getActualShipping

    Money getActualShipping()

  Deprecated
  Retrieves the actual shipping cost after discounting.

  See Also
    `Money`

### getBaseShipping

    Money getBaseShipping()

  Deprecated
  Retrieves the base shipping cost before discounting.

  See Also
    `Money`

### getSubtotal

    Money getSubtotal()

  Deprecated
  Retrieves the subtotal for the pricing request. More precisely the sum of the Line item costs.

  See Also
    `Money`

### getTotal

    Money getTotal()

  Deprecated
  Retrieves the total for the pricing request. More precisely, subtotal plus any order adjustments (including shipping). Tax is not included.

  See Also
    `Money`

### getOrderDiscounts

    List getOrderDiscounts()

  Deprecated
  Retrieves a List of OrderAdjustment objects corresponding to the order discounts applied to the subtotal. The value returned may be null if no order discounts exist.

  Returns
    a List of OrderAdjustment objects or null if no order discounts were applied during the pricing operation.
  See Also
    `OrderAdjustment`, `List`

### getShippingDiscounts

    List getShippingDiscounts()

  Deprecated
  Retrieves a List of OrderAdjustment objects corresponding to shipping adjustments (base shipping and any shipping discounts). This value will always be populated with at least the base shipping cost.

  Returns
    a List of OrderAdjustment objects.
  See Also
    `OrderAdjustment`, `List`

### getQuote

    Quote getQuote()

  Deprecated
  Returns the Quote object for the pricing operation. Available after calling computeTotal() on the PriceService. Null will be returned otherwise.

  Returns
    the Quote object associated with the pricing operation if the computeTotal() call was made, otherwise null is returned.
  See Also
    `PriceService`, `Quote`

### getUserDiscounts

    Set getUserDiscounts()

  Deprecated
  Returns the Set of QualificationDiscountId objects corresponding to the user discounts applied during the pricing operation.

  Returns
    Set of QualificationDiscountId objects or null if no user discounts were applied during the pricing operation.
  See Also
    `QualificationDiscountId`, `QualificationDiscountDef`

### getGlobalDiscounts

    Set getGlobalDiscounts()

  Deprecated
  Returns the Set of QualificationDiscountId objects corresponding to the global discounts applied during the pricing operation.

  Returns
    Set of QualificationDiscountId objects or null if no global discounts were applied during the pricing operation.
  See Also
    `QualificationDiscountId`, `QualificationDiscountDef`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.